Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.xpointer.XPointer

    java.lang.Object
        |
        +----com.ibm.xml.xpointer.XPointer

public class XPointer
extends java.lang.Object
implements java.io.Serializable

XPointer. (Based on WD-xptr-19980303)

Version:
  1.1

Field Summary
static java.lang.String[] | literals
static java.lang.String[] | nodetypes
static int | NT_ALL
static int | NT_CDATA
static int | NT_COMMENT
static int | NT_ELEMENT
static int | NT_NAME
static int | NT_NONE
static int | NT_PI
static int | NT_TEXT
static java.lang.String | S_ALL
static java.lang.String | S_CDATA
static java.lang.String | S_COMMENT
static java.lang.String | S_ELEMENT
static java.lang.String | S_END
static java.lang.String | S_IMPLIED
static java.lang.String | S_NIMPLIED
static java.lang.String | S_PI
static java.lang.String | S_TEXT
static int | ST_ANCESTOR
static int | ST_ATTR
static int | ST_CHILD
static int | ST_DESCENDANT
static int | ST_FOLLOWING
static int | ST_FSIBLING
static int | ST_HTML
static int | ST_ID
static int | ST_NONE
static int | ST_ORIGIN
static int | ST_PRECEDING
static int | ST_PSIBLING
static int | ST_ROOT
static int | ST_SPAN
static int | ST_STRING
static int | T_ANY
static int | T_EXACT
static int | T_IMPLIED
static int | T_NAME

Constructor Summary
XPointer(AbsTerm abs, java.util.Vector otherterms)

Method Summary
void | appendOtherTerm(OtherTerm ot)
AbsTerm | getAbsTerm()
java.util.Vector | getOtherTermsVector() Return a Vecotr consisted of `RelTerm / SpanTerm / AttrTerm / StringTerm`.
void | insertOtherTerm(OtherTerm ot)
static XPointer | makeXPointer(Child target)
Pointed | point(TXDocument doc) Returns a node pointed by this `XPointer` instance.
Pointed | point(Node origin)
OtherTerm | removeLastOtherTerm()
void | setAbsTerm(AbsTerm abs)
java.lang.String | toString() Return a String representation of this instance.

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Field Detail

### S_ALL

    public static final java.lang.String S_ALL

### S_END

    public static final java.lang.String S_END

### NT_NONE

    public static final int NT_NONE

### NT_NAME

    public static final int NT_NAME

### NT_ELEMENT

    public static final int NT_ELEMENT

### NT_PI

    public static final int NT_PI

### NT_COMMENT

    public static final int NT_COMMENT

### NT_TEXT

    public static final int NT_TEXT

### NT_CDATA

    public static final int NT_CDATA

### NT_ALL

    public static final int NT_ALL

### nodetypes

    public static final java.lang.String[] nodetypes

### S_ELEMENT

    public static final java.lang.String S_ELEMENT

### S_PI

    public static final java.lang.String S_PI

### S_COMMENT

    public static final java.lang.String S_COMMENT

### S_TEXT

    public static final java.lang.String S_TEXT

### S_CDATA

    public static final java.lang.String S_CDATA

### S_NIMPLIED

    public static final java.lang.String S_NIMPLIED

### S_IMPLIED

    public static final java.lang.String S_IMPLIED

### literals

    public static final java.lang.String[] literals

### ST_NONE

    public static final int ST_NONE

### ST_ROOT

    public static final int ST_ROOT

### ST_ORIGIN

    public static final int ST_ORIGIN

### ST_ID

    public static final int ST_ID

### ST_HTML

    public static final int ST_HTML

### ST_CHILD

    public static final int ST_CHILD

### ST_DESCENDANT

    public static final int ST_DESCENDANT

### ST_ANCESTOR

    public static final int ST_ANCESTOR

### ST_PRECEDING

    public static final int ST_PRECEDING

### ST_PSIBLING

    public static final int ST_PSIBLING

### ST_FOLLOWING

    public static final int ST_FOLLOWING

### ST_FSIBLING

    public static final int ST_FSIBLING

### ST_SPAN

    public static final int ST_SPAN

### ST_ATTR

    public static final int ST_ATTR

### ST_STRING

    public static final int ST_STRING

### T_IMPLIED

    public static final int T_IMPLIED

### T_ANY

    public static final int T_ANY

### T_NAME

    public static final int T_NAME

### T_EXACT

    public static final int T_EXACT

Constructor Detail

### XPointer

    public XPointer(AbsTerm abs,
                    java.util.Vector otherterms)

  Parameters:
    `abs` - null is ok.
    `otherterms` - null is ok.

Method Detail

### getAbsTerm

    public AbsTerm getAbsTerm()

### setAbsTerm

    public void setAbsTerm(AbsTerm abs)

### getOtherTermsVector

    public java.util.Vector getOtherTermsVector()

  Return a Vecotr consisted of `RelTerm / SpanTerm / AttrTerm / StringTerm`.

### appendOtherTerm

    public void appendOtherTerm(OtherTerm ot)

### insertOtherTerm

    public void insertOtherTerm(OtherTerm ot)

### removeLastOtherTerm

    public OtherTerm removeLastOtherTerm()

  Returns:
    Removed object; `null` when this has no OtherTerm.

### toString

    public java.lang.String toString()

  Return a String representation of this instance.
  Overrides:
    toString in class java.lang.Object

### point

    public Pointed point(TXDocument doc)

  Returns a node pointed by this `XPointer` instance.
  The following terms aren't supported in this method:
    `origin()`
    `html()`
    `span()`
    `string()`
  Returns:
    Matched nodes. Never returns null.

### point

    public Pointed point(Node origin)

### makeXPointer

    public static XPointer makeXPointer(Child target)

  Returns:
    an XPointer instance, or null
  See Also:
    makeXPointer

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |